path: /build/build/upx-bin-app-arch-4.2.4+1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-doc" emerge app-arch/upx-bin -pv -t && \
    USE="-doc" emerge -j ${JOBS} --nodeps app-arch/upx-bin
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/upx-bin && luet-portage --dir /pkgdir/upx-bin
    app-arch/upx-bin && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-terragon-dev-tree:44f87d0db168beb077b799020e62aa707f3732e00f417ae8d3add61b99059182
  package:
    name: upx-bin
    version: 4.2.4+1
    category: app-arch
    use_flags:
    - -doc
    requires:
    - name: gnu-efi
      version: '>=0'
      category: sys-boot
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Ultimate Packer for eXecutables, binary version with proprietary
      NRV compression
    uri:
    - http://upx.sourceforge.net/
    license: GPL-2
    buildtimestamp: 2024-10-19 08:49:33.520505005 +0000 UTC m=+129.963264660
    labels:
      IUSE: doc
      RDEPEND: '!app-arch/upx-ucl'
      emerge.packages: app-arch/upx-bin
      kit: dev-kit
      original.package.name: app-arch/upx-bin
      original.package.slot: "0"
      original.package.version: 4.2.4
    treedir: /build/packages
  package_dir: /pkgdir/upx-bin
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-terragon-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: ee026f7b020e8cde108257d24d2ef96b07abfcbf1c9c4eef6f0cc2f2018599bc
compressiontype: zstd
files:
- usr/bin/upx
- usr/share/doc/upx-bin-4.2.4/NEWS.bz2
- usr/share/doc/upx-bin-4.2.4/README.bz2
- usr/share/man/man1/upx.1.bz2
- var/db/pkg/app-arch/upx-bin-4.2.4/BUILD_TIME
- var/db/pkg/app-arch/upx-bin-4.2.4/CATEGORY
- var/db/pkg/app-arch/upx-bin-4.2.4/CBUILD
- var/db/pkg/app-arch/upx-bin-4.2.4/CFLAGS
- var/db/pkg/app-arch/upx-bin-4.2.4/CHOST
- var/db/pkg/app-arch/upx-bin-4.2.4/CONTENTS
- var/db/pkg/app-arch/upx-bin-4.2.4/COUNTER
- var/db/pkg/app-arch/upx-bin-4.2.4/CTARGET
- var/db/pkg/app-arch/upx-bin-4.2.4/CXX
- var/db/pkg/app-arch/upx-bin-4.2.4/CXXFLAGS
- var/db/pkg/app-arch/upx-bin-4.2.4/DEFINED_PHASES
- var/db/pkg/app-arch/upx-bin-4.2.4/DESCRIPTION
- var/db/pkg/app-arch/upx-bin-4.2.4/EAPI
- var/db/pkg/app-arch/upx-bin-4.2.4/FEATURES
- var/db/pkg/app-arch/upx-bin-4.2.4/HOMEPAGE
- var/db/pkg/app-arch/upx-bin-4.2.4/INHERITED
- var/db/pkg/app-arch/upx-bin-4.2.4/IUSE
- var/db/pkg/app-arch/upx-bin-4.2.4/IUSE_EFFECTIVE
- var/db/pkg/app-arch/upx-bin-4.2.4/KEYWORDS
- var/db/pkg/app-arch/upx-bin-4.2.4/LDFLAGS
- var/db/pkg/app-arch/upx-bin-4.2.4/LICENSE
- var/db/pkg/app-arch/upx-bin-4.2.4/NEEDED
- var/db/pkg/app-arch/upx-bin-4.2.4/NEEDED.ELF.2
- var/db/pkg/app-arch/upx-bin-4.2.4/PF
- var/db/pkg/app-arch/upx-bin-4.2.4/QA_PREBUILT
- var/db/pkg/app-arch/upx-bin-4.2.4/RDEPEND
- var/db/pkg/app-arch/upx-bin-4.2.4/RESTRICT
- var/db/pkg/app-arch/upx-bin-4.2.4/SIZE
- var/db/pkg/app-arch/upx-bin-4.2.4/SLOT
- var/db/pkg/app-arch/upx-bin-4.2.4/USE
- var/db/pkg/app-arch/upx-bin-4.2.4/environment.bz2
- var/db/pkg/app-arch/upx-bin-4.2.4/repository
- var/db/pkg/app-arch/upx-bin-4.2.4/upx-bin-4.2.4.ebuild
package_cacheimage: ""
runtime:
  name: upx-bin
  version: 4.2.4+1
  category: app-arch
  use_flags:
  - -doc
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Ultimate Packer for eXecutables, binary version with proprietary NRV
    compression
  uri:
  - http://upx.sourceforge.net/
  license: GPL-2
  labels:
    IUSE: doc
    RDEPEND: '!app-arch/upx-ucl'
    emerge.packages: app-arch/upx-bin
    kit: dev-kit
    original.package.name: app-arch/upx-bin
    original.package.slot: "0"
    original.package.version: 4.2.4
